/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            aboutwindow.h
 *
 *  Sun Aug 22 21:58:22 2004
 *  Copyright  2004  deva
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifdef USE_GUI
 
#ifndef __ABOUTWINDOW_H__
#define __ABOUTWINDOW_H__

#include <qdialog.h>
//#include <qlabel.h>
#include <qpixmap.h>
//#include <qtextedit.h>
#include <qpushbutton.h>

#define PIXMAP_ABOUT     PIXMAPS"/about.png"
/*
#define ABOUT_INFO "\
Official homepage:\n\
    http://www.aasimon.org/miav\n\
Author:\n\
    Bent Bisballe (deva@aasimon.org)\n\
Copyright (c) 2004"

#define GPL_LICENSE "\
This program is free software; you can\n\
redistribute it and/or modify it under the terms\n\
of the GNU General Public License as published\n\
by the Free Software Foundation; either version\n\
2 of the License, or (at your option) any later\n\
version.\n\
   This program is distributed in the hope that\n\
it will be useful, but WITHOUT ANY WARRANTY;\n\
without even the implied warranty of\n\
MERCHANTABILITY or FITNESS FOR A PARTI-\n\
CULAR PURPOSE. See the GNU Library General\n\
Public License for more details.\n\
    You should have received a copy of the GNU\n\
General Public License along with this program;\n\
if not, write to the Free Software Foundation,\n\
Inc., 59 Temple Place - Suite 330, Boston,\n\
MA 02111-1307, USA."
*/
class AboutWindow : public QDialog
{
	Q_OBJECT
public:
	AboutWindow(QWidget* parent = 0, const char* name = 0);
	~AboutWindow();
	virtual void paintEvent( QPaintEvent *event );
  void mouseReleaseEvent(QMouseEvent *event);

private:
	QPushButton *btn_ok;
	QPixmap		*pix_about;
};

#endif /* __ABOUTWINDOW_H__ */

#endif /*USE_GUI*/
